Invoices
GET
limit?integerPage size (1-100)
Format
int64Range
1 <= value <= 100Default
20cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
Default
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/account/invoices'Example Response
{ "$schema": "https://example.com/schemas/PageInvoice.json", "data": [ { "$schema": "https://example.com/schemas/Invoice.json", "buyerEmail": "string", "buyerName": "string", "buyerTaxId": "string", "currency": "string", "id": "string", "issuedAt": "2019-08-24T14:15:22Z", "kind": "string", "lines": [ { "description": "string", "hsnSac": "string", "lineTotalMinor": 0, "quantity": 0, "taxMinor": 0, "taxRateBps": 0, "unitPriceMinor": 0 } ], "number": "string", "orderId": "string", "organizationId": "string", "placeOfSupply": "string", "reason": "string", "seller": { "address": "string", "name": "string", "state": "string", "taxId": "string" }, "sellerKind": "string", "taxComponents": [ { "amountMinor": 0, "baseMinor": 0, "effect": "string", "jurisdiction": "string", "key": "string", "kind": "string", "name": "string", "rateBps": 0 } ], "taxInclusive": true, "taxRegime": "string", "taxRuleVersion": "string", "taxableMinor": 0, "totalMinor": 0 } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}GET
organization_id*stringeventGroupIds?array<string>|Filter by the Order's Event's EventGroup id. Repeat or comma-separate for several.
limit?integerPage size (1-100)
Format
int64Range
1 <= value <= 100Default
20cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
Default
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/organizations/string/invoices'Example Response
{ "$schema": "https://example.com/schemas/PageInvoice.json", "data": [ { "$schema": "https://example.com/schemas/Invoice.json", "buyerEmail": "string", "buyerName": "string", "buyerTaxId": "string", "currency": "string", "id": "string", "issuedAt": "2019-08-24T14:15:22Z", "kind": "string", "lines": [ { "description": "string", "hsnSac": "string", "lineTotalMinor": 0, "quantity": 0, "taxMinor": 0, "taxRateBps": 0, "unitPriceMinor": 0 } ], "number": "string", "orderId": "string", "organizationId": "string", "placeOfSupply": "string", "reason": "string", "seller": { "address": "string", "name": "string", "state": "string", "taxId": "string" }, "sellerKind": "string", "taxComponents": [ { "amountMinor": 0, "baseMinor": 0, "effect": "string", "jurisdiction": "string", "key": "string", "kind": "string", "name": "string", "rateBps": 0 } ], "taxInclusive": true, "taxRegime": "string", "taxRuleVersion": "string", "taxableMinor": 0, "totalMinor": 0 } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}GET
organization_id*stringinvoice_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
Format
uribuyerEmail?stringbuyerName?stringbuyerTaxId?stringcurrency*stringid*stringissuedAt*stringFormat
date-timekind*stringlines*array<>|nullnumber*stringorderId*stringorganizationId*stringplaceOfSupply*stringreason?stringseller*sellerKind*stringtaxComponents?array<>|nulltaxInclusive*booleantaxRegime?stringtaxRuleVersion?stringtaxableMinor*integerFormat
int64totalMinor*integerFormat
int64curl -X GET 'https://example.com/api/v1/organizations/string/invoices/string'Example Response
{ "$schema": "https://example.com/schemas/Invoice.json", "buyerEmail": "string", "buyerName": "string", "buyerTaxId": "string", "currency": "string", "id": "string", "issuedAt": "2019-08-24T14:15:22Z", "kind": "string", "lines": [ { "description": "string", "hsnSac": "string", "lineTotalMinor": 0, "quantity": 0, "taxMinor": 0, "taxRateBps": 0, "unitPriceMinor": 0 } ], "number": "string", "orderId": "string", "organizationId": "string", "placeOfSupply": "string", "reason": "string", "seller": { "address": "string", "name": "string", "state": "string", "taxId": "string" }, "sellerKind": "string", "taxComponents": [ { "amountMinor": 0, "baseMinor": 0, "effect": "string", "jurisdiction": "string", "key": "string", "kind": "string", "name": "string", "rateBps": 0 } ], "taxInclusive": true, "taxRegime": "string", "taxRuleVersion": "string", "taxableMinor": 0, "totalMinor": 0}